unit Unit77;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeTools, TeEngine, TeePieTool, TeeAntiAlias, Series, StdCtrls,
  ExtCtrls, TeeProcs, Chart, Menus;

type
  TForm77 = class(TForm)
    chrtIncomeSources: TChart;
    Button1: TButton;
    Series1: TPieSeries;
    crttoolAniAlias: TAntiAliasTool;
    crttlFullScreen: TFullScreenTool;
    ChartTool2: TPieTool;
    ChartTool3: TSeriesAnimationTool;
    PopupMenu1: TPopupMenu;
    miTop: TMenuItem;
    miLeft: TMenuItem;
    miRight: TMenuItem;
    miBottom: TMenuItem;
    procedure miBottomClick(Sender: TObject);
  private
    procedure CreateBarSeries;
    procedure UpdateChart;
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form77: TForm77;

implementation

{$R *.dfm}

{ TForm77 }

constructor TForm77.Create(aOwner: TComponent);
begin
  inherited;
  CreateBarSeries;
end;

procedure TForm77.CreateBarSeries;
  function CreateBarSeries(const aTitle: String; const aOrder: integer; const aColor: TColor): TBarSeries;
  var
    lBarSeries: TBarSeries;
  begin
    lBarSeries := TBarSeries.Create(self);
    lBarSeries.Title := aTitle;
    lBarSeries.Marks.Visible := False;
    lBarSeries.MultiBar := mbStacked;
    lBarSeries.BarWidthPercent := 60;
    lBarSeries.Pen.Visible := False;
    lBarSeries.SeriesColor := aColor;
    result := lBarSeries;
    chrtIncomeSources.AddSeries(result);
  end;
var
  I: Integer;
begin
  chrtIncomeSources.FreeAllSeries(nil);

  for I := 0 to 4 do
    CreateBarSeries('Series ' + IntToStr(I+1), I, clTeeColor).FillSampleValues(20);


  UpdateChart;
end;

procedure TForm77.UpdateChart;
begin
  if miTop.Checked then
   chrtIncomeSources.Legend.Alignment := laTop
  else
  if miRight.Checked then
    chrtIncomeSources.Legend.Alignment := laRight
  else
  if miLeft.Checked then
    chrtIncomeSources.Legend.Alignment := laLeft
  else
  begin
    chrtIncomeSources.Legend.Alignment := laBottom;
    if not miBottom.Checked then
      miBottom.Checked := True;
  end;
end;

procedure TForm77.miBottomClick(Sender: TObject);
begin
    miTop.Checked := (Sender = miTop);
    miLeft.Checked := (Sender = miLeft);
    miRight.Checked := (Sender = miRight);
    miBottom.Checked := (Sender = miBottom);

  UpdateChart;
end;

end.
